Subject: Re: [PATCH v3 net-next 00/15] nbl driver for Nebulamatrix NICs

From: Jakub Kicinski <[email-masked]>
Date: Tue, 27 Jan 2026 10:53:04 -0800

On Tue, 27 Jan 2026 18:06:49 +0000 Simon Horman wrote:
> As per Jakub's advice in his review of v1 [*],
> Please try to create a minimal driver in the order of ~5kLoC.

Perhaps other maintainers will disagree, but for ease of review
and to avoid the huge reposts perhaps we should consider merging
something like patches 1 and 3* first, as the initial series.
And then you can build up the driver from there in reasonable,
5kLoC-at-a-time series?

 * patch 3 currently includes things which do not seem machine
   generated / like register descriptors like structs added to
   nbl_def_channel.h and nbl_include.h